GET
/v1/reservations/{reservationArn}
http://mediaconnect.{region}.amazonaws.com/v1/reservations/{reservationArn}Displays the details of a reservation. The response includes the reservation name, state, start date and time, and the details of the offering that make up the rest of the reservation (such as price, duration, and outbound bandwidth).
Access Token Required: API Key
Path Parameters
reservationArnstringrequired
The Amazon Resource Name (ARN) of the reservation.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/reservations/{reservationArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}